diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index b14c5d81a1..46b978ce08 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -5561,9 +5561,11 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         joining the matching partitions.  Partitionwise join currently applies
         only when the join conditions include all the partition keys, which
         must be of the same data type and have one-to-one matching sets of
-        child partitions.  Because partitionwise join planning can use
-        significantly more CPU time and memory during planning, the default is
-        <literal>off</literal>.
+        child partitions.  Enabling this can result in query plans containing
+        a large number of joins, which can result in a large increase in
+        execution time memory requirements.  Additionally, planning becomes
+        more expensive in terms of memory and CPU.  For these reasons, the
+        default is <literal>off</literal>.
        </para>
       </listitem>
      </varlistentry>
@@ -5581,9 +5583,11 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         tables to be performed separately for each partition.  If the
         <literal>GROUP BY</literal> clause does not include the partition
         keys, only partial aggregation can be performed on a per-partition
-        basis, and finalization must be performed later.  Because
-        partitionwise grouping or aggregation can use significantly more CPU
-        time and memory during planning, the default is
+        basis, and finalization must be performed later.  Enabling this can
+        result in query plans containing a large number of sorts or aggregate
+        nodes, which can result in a large increase in execution time memory
+        requirements.  Additionally, planning becomes more expensive in terms
+        of memory and CPU.  For these reasons, the default is
         <literal>off</literal>.
        </para>
       </listitem>
